[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TRasterImage.RawImage

Provides access to the raw image data for the image type.

## Declaration

Source position: graphics.pp line 1337

`public property TRasterImage.RawImage : TRawImage read GetRawImage;`

## Description

RawImage is a read-only TRawImage property which provides access to the raw image data for the image type. It provides access to the raw image descriptor and pointers to the bytes values used in the Bitmap, Mask, and Palette for the image. The value for the property is captured using the pointer returned by the GetRawImagePtr method.

Always use BeginUpdate and EndUpate to surround any action which modifies member values in RawImage.

## See also

TRasterImage.BeginUpdate |  | BeginUpdate - start the update process.
TRasterImage.EndUpdate |  | EndUpdate - finishes the update process.
TRawImage